> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Submit Global Payroll amendment signature

POST https://api.letsdeel.com/rest/contracts/{contract_id}/amendments/{amendment_id}/sign
Content-Type: application/json

Signs a pending Global Payroll amendment on the client's behalf, applying the change. amendment\_id is the id returned by POST /rest/contracts/\{contract\_id}/amendments. Global Payroll amendments only — IC contracts use POST /rest/workers/amendments/\{amendment\_id}/sign instead.

**Token scopes**: `contracts:write`

**Beta**: this version requires the `X-Beta: true` request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2026-12-29.

Reference: https://developer.deel.com/api/reference/endpoints/contracts/sign-global-payroll-amendment-v-2026-09-29

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — The unique identifier of the Global Payroll contract.
- `amendment_id` (string, required) — The unique identifier of the Global Payroll amendment to sign, as returned by POST /rest/contracts/\{contract\_id}/amendments.

### Headers

- `X-Beta` (enum, required, default: true) — Opts in to the beta version of this endpoint. Must be `true`.
  - Allowed values: `true`

### Body (application/json)

This endpoint expects an object.

- `data` (ContractsContractIdAmendmentsAmendmentIdSignPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

Amendment successfully signed.

- `data` (ContractsContractIdAmendmentsAmendmentIdSignPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Invalid request parameters.

- `errors` (list of ContractsContractIdAmendmentsAmendmentIdSignPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Amendment not found.

- `errors` (list of ContractsContractIdAmendmentsAmendmentIdSignPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 500 Internal Server Error

Internal server error.

- `errors` (list of ContractsContractIdAmendmentsAmendmentIdSignPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ContractsContractIdAmendmentsAmendmentIdSignPostRequestBodyContentApplicationJsonSchemaData

- `client_signature` (string, required) — The client's signature for the amendment.

### ContractsContractIdAmendmentsAmendmentIdSignPostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — The unique identifier of the signed amendment.
- `is_signed` (boolean, required) — Indicates whether the amendment was successfully signed.

### ContractsContractIdAmendmentsAmendmentIdSignPostResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "data": {
    "client_signature": "John Doe"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "is_signed": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign"

payload = { "data": { "client_signature": "John Doe" } }
headers = {
    "X-Beta": "true",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign';
const options = {
  method: 'POST',
  headers: {
    'X-Beta': 'true',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"data":{"client_signature":"John Doe"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign"

	payload := strings.NewReader("{\n  \"data\": {\n    \"client_signature\": \"John Doe\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Beta", "true")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Beta"] = 'true'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"client_signature\": \"John Doe\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign")
  .header("X-Beta", "true")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"client_signature\": \"John Doe\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign', [
  'body' => '{
  "data": {
    "client_signature": "John Doe"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Beta' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Beta", "true");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"client_signature\": \"John Doe\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Beta": "true",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["client_signature": "John Doe"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/contracts/37nex2x/amendments/550e8400-e29b-41d4-a716-446655440000/sign")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```